Permalink
Browse files

Version 7.0.14

Thanks to Randall Hansen for removing the requirement of terminal versions to be recompiled with 'gui' support so the 'drop' command would work. The 'drop' command is really not needed in terminal versions.
  • Loading branch information...
1 parent 33c8f0a commit de407b5b11b270772ad7d45c6357f1bb01ea22cc jeff lanzarotta committed with Mar 23, 2007
Showing with 15 additions and 8 deletions.
  1. +6 −4 doc/bufexplorer.txt
  2. +9 −4 plugin/bufexplorer.vim
View
@@ -1,7 +1,7 @@
-*bufexplorer.txt* Buffer Explorer Last Change: 23 Feb 2007
+*bufexplorer.txt* Buffer Explorer Last Change: 23 Mar 2007
Buffer Explorer *buffer-explorer* *bufexplorer*
- Version 7.0.13
+ Version 7.0.14
Plugin for easily exploring (or browsing) open buffers
@@ -158,6 +158,10 @@ The default is to use a new window.
===============================================================================
CHANGE LOG *bufexplorer-changelog*
+7.0.14 - Thanks to Randall Hansen for removing the requirement of terminal
+ versions to be recompiled with 'gui' support so the 'drop' command
+ would work. The 'drop' command is really not needed in terminal
+ versions.
7.0.13 - Fixed integration with WinManager.
Thanks to Dave Eggum for another update.
- Fix: The detailed help didn't display the mapping for toggling
@@ -342,8 +346,6 @@ TODO *bufexplorer-todo*
- Erwin Waterlander suggestion of being able to open the explorer with one
buffer.
-- Once the ability to save and restore a jumplist is added to Vim, we need
- prevent the jumplist from updating when the user searches in bufexplorer.
===============================================================================
CREDITS *bufexplorer-credits*
View
@@ -10,7 +10,7 @@
" Name Of File: bufexplorer.vim
" Description: Buffer Explorer Vim Plugin
" Maintainer: Jeff Lanzarotta (delux256-vim at yahoo dot com)
-" Last Changed: Friday, 23 February 2007
+" Last Changed: Friday, 23 March 2007
" Version: See g:loaded_bufexplorer for version number.
" Usage: Normally, this file should reside in the plugins
" directory and be automatically sourced. If not, you must
@@ -39,7 +39,7 @@ if exists("g:loaded_bufexplorer") || &cp
endif
" Version number.
-let g:loaded_bufexplorer = "7.0.13"
+let g:loaded_bufexplorer = "7.0.14"
" Check to make sure the Vim version 700 or greater.
if v:version < 700
@@ -91,7 +91,12 @@ augroup bufexplorer
augroup End
" Create commands {{{1
-command BufExplorer :call <SID>StartBufExplorer("drop")
+if has("gui")
+ command BufExplorer :call <SID>StartBufExplorer("drop")
+else
+ command BufExplorer :call <SID>StartBufExplorer("edit")
+end
+
command SBufExplorer :call <SID>StartBufExplorer("sp")
command VSBufExplorer :call <SID>StartBufExplorer("vsp")
@@ -207,7 +212,7 @@ function s:StartBufExplorer(open)
" Make sure there is only one explorer open at a time.
if s:running == 1
" Go to the open buffer.
- if !has("gui")
+ if has("gui")
exec "drop" name
end

0 comments on commit de407b5

Please sign in to comment.